Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		libffi
Version:	3.0.9
Release:	2
Epoch:		1
BuildArch:	i686
Summary:	A portable foreign function interface library

Group:		System/Libraries
License:	BSD
URL:		http://sourceware.org/libffi
Source0:	http://sourceware.org/libffi/libffi-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	i686
Conflicts:	g-wrap < 1.9.11

%description
Compilers for high level languages generate code that follow certain
conventions.  These conventions are necessary, in part, for separate
compilation to work.  One such convention is the "calling convention".
The calling convention is a set of assumptions made by the compiler
about where function arguments will be found on entry to a function.  A
calling convention also specifies where the return value for a function
is found.  

Some programs may not know at the time of compilation what arguments
are to be passed to a function.  For instance, an interpreter may be
told at run-time about the number and types of arguments used to call a
given function.  `Libffi' can be used in such programs to provide a
bridge from the interpreter program to compiled code.

The `libffi' library provides a portable, high level programming
interface to various calling conventions.  This allows a programmer to
call any function specified by a call interface description at run time.

FFI stands for Foreign Function Interface.  A foreign function
interface is the popular name for the interface that allows code
written in one language to call code written in another language.  The
`libffi' library really only provides the lowest, machine dependent
layer of a fully featured foreign function interface.  A layer must
exist above `libffi' that handles type conversions for values passed
between the two languages.  


%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:       pkgconfig
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
Conflicts:	g-wrap-devel < 1.9.11

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_infodir}/dir


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%post devel
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/libffi.info.gz

%preun devel
if [ $1 = 0 ] ;then
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/libffi.info.gz
fi

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc LICENSE README
%{_libdir}/libffi.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/libffi.pc
%{_libdir}/%{name}-%{version}
%{_libdir}/libffi.so
%{_libdir}/libffi.la
%{_mandir}/man3/ffi.3.gz
%{_mandir}/man3/ffi_call.3.gz
%{_mandir}/man3/ffi_prep_cif.3.gz
%{_infodir}/libffi.info.gz

%changelog
* Thu Aug 12 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.0.9-2
- rebuilt to fix pkgconfig libffi dependency provides
* Mon Feb 15 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.0.9-1
- Version update
* Sat Nov 21 2009 Christian Metzen <metzench@ccux-linux.de> 3.0.5-1
- Initial CCux package release
